#include <iostream>
#include <algorithm>
#include <vector>
using namespace std;
int main(){
    ios_base::sync_with_stdio(false);
	cin.tie(nullptr);
	cout.tie(nullptr);
	cerr.tie(nullptr);
	unsigned long long n,q;
	cin>>n>>q;
	vector<unsigned long long> d(n);
	vector<unsigned long long> p(n);
	vector<unsigned long long> k(q);
	for(int i=0;i<n;i++){
		cin>>d[i]>>p[i];
	}
	for(int i=0;i<q;i++){
		cin>>k[i];
	}
	vector<unsigned long long> rez(q, 0);
	unsigned long long sum = 0;
	for(int i=0;i<n;i++){
		sum += p[i];
	}
	for(int i=0;i<q;i++){
		for(int j=0;j<q;j++){
			rez[i] = sum - k[j];
		}
	}
	for(int i=0;i<q;i++){
		cout<<rez[i]<<endl;
	}
	
	return 0;
}